<div
    class="schedule-view"
    [ngClass]="{
        'tabset-wrap-item2': (data.transSchedule$.length === 2),
        'tabset-wrap-item3': (data.transSchedule$.length === 3),
        'tabset-wrap-item4': (data.transSchedule$.length === 4),
        'tabset-wrap-item5': (data.transSchedule$.length === 5)
    }">
    <div class="bold text-light text-center size24 pb-2">
        {{ data.transSchedule$[0].transProject.project.name[appService.lang] }}
    </div>
    <div class="tabset text-center mt-3">
        <ul
            ngbNav
            class="nav-tabs"
            #tabContent="ngbNav"
            [(activeId)]="section.active">
            <li
                [ngbNavItem]="order + 1"
                *ngFor="
                    let sections of data.transSchedule$;
                    index as order
                ">
                <a
                    ngbNavLink
                    class="font-oswald">
                    {{ sections.section | titlecase }}
                </a>
                <ng-template ngbNavContent>
                    <div class="section-schedule-info">
                        <div
                            class="jumbotron"
                            *ngFor="
                                let schedule of sections.schedules;
                                index as order
                            ">
                            <div class="d-table">
                                <div class="d-table-cell col-datetime">
                                    <div class="float-left">
                                        <ng-container
                                            *ngTemplateOutlet="
                                                dateCardInfo;
                                                context: {
                                                    data: schedule.dateTime.start.date, type: 'start'
                                                }">
                                        </ng-container>
                                    </div>
                                    <div class="float-left ml-1">
                                        <ng-container
                                            *ngTemplateOutlet="
                                                dateCardInfo;
                                                context: {
                                                    data: schedule.dateTime.end.date, type: 'end'
                                                }">
                                        </ng-container>
                                    </div>
                                    <div class="clearfix"></div>
                                </div>
                                <div class="d-table-cell col-lesson">
                                    <div class="title">
                                        <div class="bold text-samritdat size22 lessonname">
                                            {{ schedule.lessonName[appService.lang] | titlecase }}
                                        </div>
                                        <div class="text-primary-v2 size16 mt-06 timeby">
                                            <div class="d-table">
                                                <div class="d-table-cell time">
                                                    <span class="text-dammuek size14">
                                                        {{ schedule.dateTime.start.time }} - {{ schedule.dateTime.end.time }}
                                                    </span>
                                                </div>
                                                <div class="d-table-cell pl-2 by">
                                                    <span class="bold size14">
                                                        {{ 'by' | translate | titlecase }}
                                                    </span>
                                                    <span class="regular size14 ml-1">
                                                        {{ schedule.instructor | titlecase }}
                                                    </span>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                    <div class="type mt-2">
                                        <span class="regular text-white size22">
                                            <i
                                                class="fas"
                                                [ngClass]="{
                                                    'fa-globe': ((schedule.typeSchedule | lowercase) === 'online')
                                                }">
                                            </i>
                                        </span>
                                        <span class="regular text-primary size16 ml-2">
                                            {{ schedule.typeSchedule | lowercase }}
                                        </span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </ng-template>
            </li>
        </ul>
    </div>
    <div [ngbNavOutlet]="tabContent"></div>
</div>
<ng-template
    #dateCardInfo
    let-data="data"
    let-type="type">
    <div class="date-card card text-center {{ type }}">
        <div class="card-header">
            <span class="text-white size11">
                {{ appService.monthNames.short[((data | slice:5:7) | number)- 1] | uppercase}} {{data | slice:0:4 }}
            </span>
        </div>
        <div class="card-body">
            <p class="card-text">
                <span class="size30">
                    {{ data | slice:8:10 }}
                </span>
            </p>
        </div>
    </div>
</ng-template>
